Otp

POST /api/v1/otp/resend

Create resend O T P Code

resendOTPCode handles POST /api/v1/otp/resend

Request Body

Type: OTPResendRequest

FieldTypeDescription
otp_tokenstring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/otp/resend

POST /api/v1/otp/verify

Create verify O T P Code

verifyOTPCode handles POST /api/v1/otp/verify

Request Body

Type: OTPVerifyRequest

FieldTypeDescription
otp_tokenstring
codestring
remember_devicebool

Response

Type: OTPVerifyReply

FieldTypeDescription
idstring
usernamestring
namestring
firstnamestring
emailstring
apikeystring
device_tokenstringreturned if remember_device was true (optional)

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/otp/verify